[libgee] Move away of deprecated gnome-common



commit 4301ab58efc217409c588a5527f68990b4e3d220
Author: Maciej Piechotka <uzytkownik2 gmail com>
Date:   Sat Jun 6 13:11:51 2015 -0700

    Move away of deprecated gnome-common

 Makefile.am                  |    2 +-
 autogen.sh                   |   37 +++++++++++++++++++++++++++++--------
 configure.ac                 |    8 +++++---
 m4/{vala.m4 => valacheck.m4} |    0
 4 files changed, 35 insertions(+), 12 deletions(-)
---
diff --git a/Makefile.am b/Makefile.am
index 5bd01f0..07d2bdc 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,5 +1,5 @@
 include $(top_srcdir)/Makefile.decl
-ACLOCAL_AMFLAGS = -I m4
+ACLOCAL_AMFLAGS = --install -I m4
 AM_DISTCHECK_CONFIGURE_FLAGS = --enable-introspection=no --enable-vala
 
 if ENABLE_DOC
diff --git a/autogen.sh b/autogen.sh
index 42ca34c..2bd7c50 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -3,14 +3,35 @@
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
 
-ORIGDIR=`pwd`
-cd $srcdir
 
-# Automake requires that ChangeLog exists.
-touch ChangeLog
+(test -f $srcdir/configure.ac) || {
+       echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level project directory"
+       exit 1
+}
 
-REQUIRED_M4MACROS=introspection.m4 \
-       REQUIRED_AUTOMAKE_VERSION=1.11 \
-       gnome-autogen.sh "$@" || exit 1
-cd $ORIGDIR || exit $?
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' "$srcdir/configure.ac"`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+       echo "**Warning**: I am going to run \`configure' with no arguments." >&2
+       echo "If you wish to pass any to it, please specify them on the" >&2
+       echo \`$0\'" command line." >&2
+       echo "" >&2
+fi
+
+set -x
+aclocal --install || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+set +x
+
+if [ "$NOCONFIGURE" = "" ]; then
+        set -x
+        $srcdir/configure "$@" || exit 1
+        set +x
+
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi
 
diff --git a/configure.ac b/configure.ac
index ab62d05..9b1010d 100644
--- a/configure.ac
+++ b/configure.ac
@@ -2,14 +2,15 @@ AC_INIT([libgee], [0.18.0], [https://bugzilla.gnome.org/enter_bug.cgi?product=li
 AC_CONFIG_SRCDIR([Makefile.am])
 AC_CONFIG_HEADERS(config.h)
 AC_CONFIG_MACRO_DIR([m4])
-AM_INIT_AUTOMAKE([1.11 check-news dist-xz no-dist-gzip tar-ustar])
+AM_INIT_AUTOMAKE([1.11 foreign check-news dist-xz no-dist-gzip tar-ustar])
 m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
 
 # Checks for programs.
 AC_PROG_CC
 AM_PROG_CC_C_O
-AC_DISABLE_STATIC
-AC_PROG_LIBTOOL
+
+LT_PREREQ([2.2.6])
+LT_INIT([disable-static])
 
 LIBGEE_LT_VERSION="7:1:5"
 AC_SUBST(LIBGEE_LT_VERSION)
@@ -64,6 +65,7 @@ AC_ARG_ENABLE(consistency-check, [AS_HELP_STRING([--enable-consistency-check], [
               enable_consistency_check=$enableval, enable_consistency_check=no)
 AS_IF([test "x$enable_consistency_check" != xno], [VALA_ADD_VALAFLAGS(-D CONSISTENCY_CHECKS)])
 
+AX_REQUIRE_DEFINED([GOBJECT_INTROSPECTION_CHECK])
 GOBJECT_INTROSPECTION_CHECK([0.9.0])
 
 VALA_CHECK([0.25.1])
diff --git a/m4/vala.m4 b/m4/valacheck.m4
similarity index 100%
rename from m4/vala.m4
rename to m4/valacheck.m4


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]